## FolksDebug

FolksDebug — Manages debug output and status reporting for all folks objects.

## Types and Values

#define | FOLKS_TYPE_DEBUG
#define | FOLKS_DEBUG_STATUS_LOG_DOMAIN
struct | FolksDebug
struct | FolksDebugClass

## Description

All GLib debug logging calls are passed through a log handler in this class, which allows debug domains to be outputted according to whether they've been enabled by being passed to ``folks_debug_dup()``.

## Functions

## Types and Values

### FOLKS_TYPE_DEBUG

    #define FOLKS_TYPE_DEBUG (folks_debug_get_type ())

The type for FolksDebug.

### FOLKS_DEBUG_STATUS_LOG_DOMAIN

    #define FOLKS_DEBUG_STATUS_LOG_DOMAIN "folks-status"

Log domain for the status messages logged as a result of calling ``folks_debug_emit_print_status()``.

This could be used in conjunction with a log handler to redirect the status information to a debug window or log file, for example.

Since: 0.5.1

### struct FolksDebug

    struct FolksDebug {
    	GObject parent_instance;
    	FolksDebugPrivate * priv;
    };

Manages debug output and status reporting for all folks objects.

All GLib debug logging calls are passed through a log handler in this class, which allows debug domains to be outputted according to whether they've been enabled by being passed to ``folks_debug_dup()``.

Since: 0.5.1

### struct FolksDebugClass

    struct FolksDebugClass {
    	GObjectClass parent_class;
    };

The class structure for `FOLKS_TYPE_DEBUG`. All the fields in this structure are private and should never be accessed directly.

#### Members